
<!--
  Hymn support library support for Voyager.
  From the ThML DTD, v. 1.0.  File: hymn.mod

  Author: Harry Plantinga (hplantin@calvin.edu), January 1, 2000. 
  This file may be copied according to the terms of the Artistic License.
-->


<!ELEMENT hymn (title | meter | author | date | argument | tune |
                verse | index | scripRef | scripCom | p | h1 | h2 |
                h3 | h4 | h5 | h6 | blockquote | hr | note)+>
<!ATTLIST hymn %attrs;
    n          CDATA  #IMPLIED>

<!ELEMENT meter %Inline;>
<!ATTLIST meter %attrs;
    standard   CDATA  #IMPLIED>

<!ELEMENT author %Inline;>
<!ATTLIST author %attrs;
    type       CDATA  #IMPLIED
    authorID   CDATA  #IMPLIED>

<!ELEMENT tune (composer | incipit | music | date | meter |title|copyright)+>
<!ATTLIST tune %attrs;
    tuneID     CDATA  #IMPLIED>

<!ELEMENT composer %Inline;>
<!ATTLIST composer %attrs;
    type       CDATA  #IMPLIED
    composerID CDATA  #IMPLIED>

<!ELEMENT incipit EMPTY>
<!ATTLIST incipit %attrs;
    value      CDATA  #IMPLIED>

<!ELEMENT music EMPTY>
<!ATTLIST music %attrs;
    type       CDATA  #IMPLIED
    inline     (yes|no) "no"
    actuate    (auto|man) "man"
    href       %URI;   #REQUIRED>

<!ENTITY % block.hymn "| hymn">

